net.sf.jasperreports.engine.query

## Class JRSqlInClause

- java.lang.Object
- - net.sf.jasperreports.engine.query.JRSqlAbstractInClause
  - - net.sf.jasperreports.engine.query.JRSqlInClause

- All Implemented Interfaces:
    JRClauseFunction

      public class JRSqlInClause
      extends JRSqlAbstractInClause

  SQL "IN" clause function.
  Version:
    $Id: JRSqlInClause.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    `JRSqlAbstractInClause.apply(JRClauseTokens, JRQueryClauseContext)`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.lang.String` | `OPERATOR_AND_OR`
    `protected static java.lang.String` | `OPERATOR_IN`
    `protected static java.lang.String` | `OPERATOR_NULL`
    `protected static JRSqlInClause` | `singleton`

    - ### Fields inherited from class net.sf.jasperreports.engine.query.JRSqlAbstractInClause

      `CLAUSE_TRUISM, POSITION_DB_COLUMN, POSITION_PARAMETER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRSqlInClause()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `appendAndOrOperator(java.lang.StringBuffer sBuffer)`
    `protected void` | `appendInOperator(java.lang.StringBuffer sBuffer)`
    `protected void` | `appendNullOperator(java.lang.StringBuffer sBuffer)`
    `static JRSqlInClause` | `instance()` Returns the singleton function instance.

    - ### Methods inherited from class net.sf.jasperreports.engine.query.JRSqlAbstractInClause

      `apply, convert, handleNoValues`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### OPERATOR_IN

          protected static final java.lang.String OPERATOR_IN

      See Also:
        Constant Field Values

    - #### OPERATOR_NULL

          protected static final java.lang.String OPERATOR_NULL

      See Also:
        Constant Field Values

    - #### OPERATOR_AND_OR

          protected static final java.lang.String OPERATOR_AND_OR

      See Also:
        Constant Field Values

    - #### singleton

          protected static final JRSqlInClause singleton

  - ### Constructor Detail

    - #### JRSqlInClause

          public JRSqlInClause()

  - ### Method Detail

    - #### instance

          public static JRSqlInClause instance()

      Returns the singleton function instance.
      Returns:
        the singleton function instance

    - #### appendInOperator

          protected void appendInOperator(java.lang.StringBuffer sBuffer)

      Specified by:
        `appendInOperator` in class `JRSqlAbstractInClause`

    - #### appendNullOperator

          protected void appendNullOperator(java.lang.StringBuffer sBuffer)

      Specified by:
        `appendNullOperator` in class `JRSqlAbstractInClause`

    - #### appendAndOrOperator

          protected void appendAndOrOperator(java.lang.StringBuffer sBuffer)

      Specified by:
        `appendAndOrOperator` in class `JRSqlAbstractInClause`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com